#include<bits/stdc++.h>
using namespace std;
#define file(s) freopen(#s".in","r",stdin),freopen(#s".out","w",stdout)
#define ll long long
#define il inline
#define cst const
#define ret return
#define gc getchar
#define pc putchar
il ll rd()
{
	ll res=0;int lab=1;char ch=gc();
	while(ch<'0'||ch>'9')lab^=(ch=='-'),ch=gc();
	while((ch>='0')&&(ch<='9'))res=res*10+(ch&15),ch=gc();
	ret lab?res:-res;
}
il void prt(ll x,char tail='\n')
{
	static char s[45];int t=0;
	if(x<0)x=-x,pc('-');
	do{s[++t]=x%10,x/=10;}while(x);
	while(t)pc(s[t--]|48);
	if(tail)pc(tail);
}

int main()
{
	ret 0;
}